weka.knowledgeflow.steps

## Annotation Type KFStep

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface KFStep

  KFStep class annotation

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `category` The top-level folder in the JTree that this step should appear in
    `java.lang.String` | `iconPath` Path (as a resource on the classpath) to the icon for this step
    `java.lang.String` | `name` The name of this step
    `java.lang.String` | `toolTipText` Mouse-over tool tip for this step (appears when the mouse hovers over the entry in the JTree)

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `resourceIntensive` True if this processing step is resource intensive (cpu or memory).

- - ### Element Detail

    - #### name

          public abstract java.lang.String name

      The name of this step
      Returns:
        the name of the step

  - - #### category

          public abstract java.lang.String category

      The top-level folder in the JTree that this step should appear in
      Returns:
        the name of the top-level folder that this step should appear in

  - - #### toolTipText

          public abstract java.lang.String toolTipText

      Mouse-over tool tip for this step (appears when the mouse hovers over the entry in the JTree)
      Returns:
        the tool tip text for this step

  - - #### iconPath

          public abstract java.lang.String iconPath

      Path (as a resource on the classpath) to the icon for this step
      Returns:
        the path to the icon for this step

  - - #### resourceIntensive

          public abstract boolean resourceIntensive

      True if this processing step is resource intensive (cpu or memory). BaseExecution environment will use the limited number of worker thread executor service to execute this step in this case.
      Returns:
        true if this step is CPU-intensive
      Default:
        false